RagTime5ClusterManagerInternal::State Struct Reference

Internal: the state of a RagTime5ClusterManager. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::map< int, ClusterInformation > | m_idToClusterInfoMap
| map id to cluster information map
std::map< int, std::shared_ptr< RagTime5ClusterManager::Cluster > > | m_idToClusterMap
| map id to cluster map
std::vector< int > | m_rootIdList
| the root id list

## Detailed Description

Internal: the state of a RagTime5ClusterManager.

## Constructor & Destructor Documentation

## State()

RagTime5ClusterManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idToClusterInfoMap

std::map<int, ClusterInformation> RagTime5ClusterManagerInternal::State::m_idToClusterInfoMap

map id to cluster information map

Referenced by State().

## m_idToClusterMap

std::map<int, std::shared_ptr<RagTime5ClusterManager::Cluster> > RagTime5ClusterManagerInternal::State::m_idToClusterMap

map id to cluster map

Referenced by State().

## m_rootIdList

std::vector<int> RagTime5ClusterManagerInternal::State::m_rootIdList

the root id list

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx